Create custom domain
curl --request POST \
--url https://api.blaxel.ai/v0/customdomains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"displayName": "Preview Domain",
"labels": {},
"name": "preview.example.com",
"workspace": "<string>"
},
"spec": {
"cnameRecords": "<string>",
"fallbackPreviewId": "my-fallback-preview",
"region": "us-pdx-1",
"subjectAlternativeNames": [
{}
],
"txtRecords": {}
}
}
'import requests
url = "https://api.blaxel.ai/v0/customdomains"
payload = {
"metadata": {
"displayName": "Preview Domain",
"labels": {},
"name": "preview.example.com",
"workspace": "<string>"
},
"spec": {
"cnameRecords": "<string>",
"fallbackPreviewId": "my-fallback-preview",
"region": "us-pdx-1",
"subjectAlternativeNames": [{}],
"txtRecords": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
displayName: 'Preview Domain',
labels: {},
name: 'preview.example.com',
workspace: '<string>'
},
spec: {
cnameRecords: '<string>',
fallbackPreviewId: 'my-fallback-preview',
region: 'us-pdx-1',
subjectAlternativeNames: [{}],
txtRecords: {}
}
})
};
fetch('https://api.blaxel.ai/v0/customdomains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "Preview Domain",
"labels": {},
"name": "preview.example.com",
"workspace": "<string>"
},
"spec": {
"cnameRecords": "<string>",
"fallbackPreviewId": "my-fallback-preview",
"lastVerifiedAt": "<string>",
"region": "us-pdx-1",
"status": "verified",
"subjectAlternativeNames": [
{}
],
"txtRecords": {},
"verificationError": "<string>"
}
}customdomains
Create custom domain
Creates a new custom domain for preview deployments. After creation, you must configure DNS records and verify domain ownership before it becomes active.
POST
/
customdomains
Create custom domain
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Body
application/json
Custom domain for preview deployments The custom domain represents a base domain (e.g., example.com) that will be used to serve preview deployments. Each preview will be accessible at a subdomain: .preview. (e.g., abc123.preview.example.com)
Response
200 - application/json
successful operation
Custom domain for preview deployments The custom domain represents a base domain (e.g., example.com) that will be used to serve preview deployments. Each preview will be accessible at a subdomain: .preview. (e.g., abc123.preview.example.com)
Last modified on July 1, 2026
Was this page helpful?
⌘I
